SKB_QUEUE_PURGE(9)

NAME
skb_queue_purge - empty a list

SYNOPSIS

void skb_queue_purge (struct sk_buff_head * list);

ARGUMENTS

list
    list to empty

DESCRIPTION

Delete all buffers on an &sk_buff list. Each buffer is removed from the list and one reference dropped. This function takes the list lock and is atomic with respect to other list locking functions.